action.hpp File Reference
`#include <cfloat>`

Go to the source code of this file.

## Classes

class | Gecode::Action
| Class for action management. More...
class | Gecode::Action::Storage
| Object for storing action values. More...
class | Gecode::Action::Recorder< View >
| Propagator for recording action information. More...
class | Gecode::Action::Recorder< View >::Idx
| Advisor with index and change information. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace